%bcond_with memoryfilesystem

Name:           assertj-core
Version:        3.17.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Library of assertions similar to fest-assert
License:        ASL 2.0

URL:            https://joel-costigliola.github.io/assertj/
Source0:        https://github.com/joel-costigliola/assertj-core/archive/assertj-core-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.bytebuddy:byte-buddy)
BuildRequires:  mvn(org.hamcrest:hamcrest)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.opentest4j:opentest4j)

%if %{with memoryfilesystem}
BuildRequires:  mvn(com.github.marschall:memoryfilesystem)
%endif

%description
A rich and intuitive set of strongly-typed assertions to use for unit testing
(either with JUnit or TestNG).


%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

# remove dependency on parent POM and inject groupId instead
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.assertj</groupId>"

# remove plugins that are unnecessary for RPM builds
%pom_remove_plugin :bnd-maven-plugin
%pom_remove_plugin :bnd-resolver-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-dependency-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-jar-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :yuicompressor-maven-plugin
%pom_xpath_remove pom:project/pom:profiles

%if %{without memoryfilesystem}
%pom_remove_dep :memoryfilesystem
rm -r src/test/java/org/assertj/core/internal/{Paths*.java,paths}
%endif


%build
# dependencies for tests are not packaged for fedora:
# - nl.jqno.equalsverifier:equalsverifier
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8


%install
%mvn_install


%files -f .mfiles
%doc README.md CONTRIBUTING.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc CONTRIBUTING.md
%license LICENSE.txt



%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 3.17.0-1.mga8
+ Revision: 1621970
- Update to version 3.17.0

* Tue Aug 18 2020 daviddavid <daviddavid> 3.16.1-1.mga8
+ Revision: 1614746
- Update to version 3.16.1
- Fix artifact generation by removing antrun plugin again
- Remove profiles from pom.xml

* Sun Feb 16 2020 umeabot <umeabot> 3.8.0-4.mga8
+ Revision: 1536150
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 3.8.0-3.mga8
+ Revision: 1453404
- Remove dependency on memoryfilesystem

* Thu Sep 20 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1277616
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 daviddavid <daviddavid> 3.8.0-1.mga7
+ Revision: 1254386
- new version: 3.8.0 (sync with fc29)

* Wed Mar 02 2016 neoclust <neoclust> 2.2.0-3.mga6
+ Revision: 982024
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2.2.0-2.mga6
+ Revision: 975449
- First rebuild of the java stack
- sync package assertj-core with fedora
- imported package assertj-core


* Wed Sep 02 2015 Roman Mohr <roman@fenkhuber.at> - 2.2.0-1
- Initial packaging
